%define version 0.5.1
%define sname libmpeg2
%define name mpeg2dec
%define major 0
%define libname  %mklibname %name %major
%define libnamedev  %mklibname %name -d
%define libnamedevst  %mklibname %name -d -s

Summary:	MPEG-2 Decoder
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
License:	GPL
Group:		Video
Source0:	http://libmpeg2.sourceforge.net/files/%{sname}-%{version}.tar.bz2
URL:		http://libmpeg2.sourceforge.net/
BuildRequires:	SDL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version
BuildRequires:	libslang-devel

%description
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

%package -n	%{libname}
Group:		System/Libraries
Summary:	MPEG-2 Decoder

%description -n %{libname}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

This package contains the shared libraries of mpeg2dec.

%package -n	%{libnamedev}
Summary:	MPEG-2 Decoder development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%mklibname %name 0 -d

%description -n	%{libnamedev}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.
MPEG-2 Decoder development files

%package -n	%{libnamedevst}
Summary:	MPEG-2 Decoder static libraries
Group:		Development/C
Requires:	%{libnamedev}

%description -n %{libnamedevst}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder static libraries.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure2_5x	--enable-shared \
%ifarch sparc sparcv9 sparc64
		--disable-accel-detect
%endif

%{make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/mpeg2dec
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/lib*.pc
%files -n %libnamedevst
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Tue Nov 03 2009 Texstar <texstar at gmail.com> 0.5.1-4pclos2010
- back out slang2

* Fri Oct 30 2009 Texstar <texstar at gmail.com> 0.5.1-3pclos2010
- gcc update & libslang2

* Thu Sep 24 2009 Texstar <texstar at gmail.com> 0.5.1-2pclos2009
- update & rebuild


